//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Net;
using System.IO;
using System.Threading;
using System.Drawing;
using System.Text;

namespace nispi
{
    class BoardView : BoardViewCommon
    {
        public BoardView()
        {
            //BoardViewCommon.mutex.WaitOne();
            try
            {
                this.boardListControls = new BoardListControls(this as BoardViewCommon);

                this.boardListControls.listViewParts.VirtualListSize = 0;
                this.boardListControls.listViewParts.boardView = this as BoardViewCommon;

                Const.form.boardListTabControlParts.AddControl(this.boardListControls.tabPageExParts);
            }
            catch { ;}
            //BoardViewCommon.mutex.ReleaseMutex();
        }
    }
}